package org.eclipse.epsilon.emc.postgres;

import java.sql.SQLException;

import javax.lang.model.type.ExecutableType;

import org.eclipse.epsilon.emc.jdbc.JdbcModel;
import org.eclipse.epsilon.eol.EolModule;
import org.eclipse.epsilon.etl.EtlModule;
import org.postgresql.Driver;



public class PostgresqlModel extends JdbcModel {

	public static void main(String[] args) throws Exception {
		PostgresqlModel model = new PostgresqlModel();
		model.setServer("localhost");
		model.setDatabase("test");
		model.setUsername("postgres");
		model.setPassword("1234");
		model.setPort(4040);
		model.setName("postgres");
		model.load();
		
		EtlModule module = new EtlModule();		
		module.parse("rule R1 transform s : postgres!employee to t : Sequence { System.out.println('Rule psql: ' + s.age); }");	
		module.getContext().getModelRepository().addModel(model);
		module.execute();
	}

	@Override
	protected Driver createDriver() throws SQLException {
		return new Driver();
	}

	@Override
	protected String getJdbcUrl() {
		return "jdbc:postgresql://localhost:4040/test";
	}

}
